aboutsummaryrefslogtreecommitdiffhomepage
path: root/platform_tools
diff options
context:
space:
mode:
authorGravatar djsollen@google.com <djsollen@google.com@2bbb7eff-a529-9590-31e7-b0007b416f81>2013-05-03 14:12:03 +0000
committerGravatar djsollen@google.com <djsollen@google.com@2bbb7eff-a529-9590-31e7-b0007b416f81>2013-05-03 14:12:03 +0000
commitd165de44c89f0dcc88f0a196698744e08662e33f (patch)
treee584f5ed0b6288d3ed50b1199da0d7e9b6cb90fa /platform_tools
parent403b90e0618e24f0c3d6ef9ade1969fc5e21fcff (diff)
Check for third_party deps before compiling on android
R=borenet@google.com Review URL: https://codereview.chromium.org/14803004 git-svn-id: http://skia.googlecode.com/svn/trunk@8984 2bbb7eff-a529-9590-31e7-b0007b416f81
Diffstat (limited to 'platform_tools')
-rwxr-xr-xplatform_tools/android/bin/android_setup.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/platform_tools/android/bin/android_setup.sh b/platform_tools/android/bin/android_setup.sh
index 058d943329..1ecb0132a8 100755
--- a/platform_tools/android/bin/android_setup.sh
+++ b/platform_tools/android/bin/android_setup.sh
@@ -26,6 +26,17 @@ if [[ "$?" != "0" ]]; then
exit 1
fi
+# check to see that gclient sync ran successfully
+THIRD_PARTY_EXTERNAL_DIR=${SCRIPT_DIR}/../third_party/externals
+if [ ! -d "$ANDROID_TOOLCHAIN" ]; then
+ echo ""
+ echo "ERROR: Unable to find the required third_party dependencies needed to build."
+ echo " To fix this add the following line to your .gclient file and run 'gclient sync'"
+ echo " target_os = ['android']"
+ echo ""
+ exit 1;
+fi
+
# determine the toolchain that we will be using
API_LEVEL=14